Standard Features

Standard features are reusable templates that provide default values for features. See Standard Features for full details on how inheritance works.

Methods

GET

Retrieve Single Standard Feature

/backend/api/v1/standardFeatures/ID - fetch standard feature with specified ID.

List Standard Features

/backend/api/v1/standardFeatures/ - list all standard features.

POST

/backend/api/v1/standardFeatures/ - create a new standard feature. The newly-created standard feature will be returned.

PATCH

/backend/api/v1/standardFeatures/ID - update standard feature with specified ID. The modified standard feature will be returned.

DELETE

/backend/api/v1/standardFeatures/ID - delete standard feature with specified ID.

Note: A standard feature can only be deleted if no features are currently linked to it.

Actions

Actions are called by sending a POST request to /backend/api/v1/standardFeatures/ID/actionName.

applyIncrease

Applies a percentage price increase to the standard feature in-place. Requires expert level 5 access.

Parameters:

  • increasePercent (numeric, required): The percentage increase to apply (e.g. 3.5)
  • increaseScope (string, required): recurringOnly or recurringAndConnections

Returns the updated standard feature.

createIncreaseVersion

Creates a new standard feature with prices increased by the specified percentage. The original standard feature is not modified.

Parameters:

  • increasePercent (numeric, required): The percentage increase to apply (e.g. 3.5)
  • increaseScope (string, required): recurringOnly or recurringAndConnections

Returns the new standard feature, or an existing version if one with the same source, percentage, and scope already exists.

See Price Increases for full details, scope options, and examples.

Fields

FieldNameTypeDescription
nameNameTextName of this standard feature template
availabilityStandard Feature AvailabilityPreset ValueAvailability status controlling who can use this standard feature template
featureTypeFeature TypePreset ValueThe type of service this standard feature template represents
descriptionDescriptionTextDefault description for features created from this template
customerProductsCustomer ProductsPreset Value(s)Default products to associate with features created from this template
featureCountCommittedAutoFeature Auto Committed CountPreset ValueDefault automatic calculation method for committed count
totalFeatureValueTotal Feature ValueCurrencyDefault total value over the lifetime of features created from this template
instalmentsInstalmentsNumberDefault number of instalments to split the total feature value
connectionTransactionTypeTransaction Type (One-Off)Preset ValueDefault transaction type for one-off charges
connectionChargeOne-OffCurrencyDefault one-off charge for features created from this template
connectionTransactionCodeTransaction Code (One-Off)TextDefault transaction code for one-off charges
serviceTransactionTypeTransaction Type (Recurring)Preset ValueDefault transaction type for recurring charges
serviceChargeRecurring Charge (£)CurrencyDefault recurring charge for features created from this template
serviceChargeIntervalS/C IntervalTextDefault frequency of recurring charges
serviceTransactionCodeTransaction Code (Recurring)TextDefault transaction code for recurring charges
callsTransactionCodeTransaction Code (Calls)TextDefault transaction code for call/usage charges
VATRateVAT RatePreset ValueDefault VAT rate for one-off and recurring charges
VATRateCallsVAT Rate (Calls)Preset ValueDefault VAT rate for call/usage charges
initialFeatureDiscountSchemeInitial Discount SchemePreset ValueDefault initial discount scheme for features created from this template
ongoingFeatureDiscountSchemeOngoing Discount SchemePreset ValueDefault ongoing discount scheme for features created from this template
fixedFeeTariffFixed Fee TariffPreset ValueDefault fixed fee tariff for features created from this template
inboundTariffInboundPreset ValueTariff to use for inbound calls, overriding customer/number defaults
nationalTariffNationalPreset ValueTariff to use for national calls, overriding customer/number defaults
mobileTariffMobilePreset ValueTariff to use for mobile calls, overriding customer/number defaults
nongeographicTariffNon-geographicPreset ValueTariff to use for non-geographic calls, overriding customer/number defaults
serviceNumbersTariffService NumbersPreset ValueTariff to use for service numbers, overriding customer/number defaults
internationalTariffInternationalPreset ValueTariff to use for international calls, overriding customer/number defaults
extendedInternationalTariffExtended InternationalPreset ValueTariff to use for extended international calls, overriding customer/number defaults
surchargesTariffSurchargesPreset ValueTariff to use for surcharges, overriding customer/number defaults
bespokeTariff1Bespoke Tariff 1Preset ValueTariff to use for bespoke tariff 1, overriding customer/number defaults
bespokeTariff2Bespoke Tariff 2Preset ValueTariff to use for bespoke tariff 2, overriding customer/number defaults
discountPlanMultiplier1Discount Plan 1 MultiplierNumberMultiplier for the first discount plan
discountPlan1Discount Plan 1Preset ValueFirst discount plan to apply
discountPlanMultiplier2Discount Plan 2 MultiplierNumberMultiplier for the second discount plan
discountPlan2Discount Plan 2Preset ValueSecond discount plan to apply
discountPlanMultiplier3Discount Plan 3 MultiplierNumberMultiplier for the third discount plan
discountPlan3Discount Plan 3Preset ValueThird discount plan to apply
discountPlanMultiplier4Discount Plan 4 MultiplierNumberMultiplier for the fourth discount plan
discountPlan4Discount Plan 4Preset ValueFourth discount plan to apply
carrierCarrierPreset ValueDefault carrier for features created from this template
carrierProductCarrier ProductTextDefault carrier product code for features created from this template
carrierProductMatchesCarrier Product (Advanced Match)TextDefault advanced matching pattern for carrier product codes
connectionChargeCarrierCarrier One-Off Charge (£)CurrencyDefault carrier one-off charge for features created from this template
serviceChargeCarrierCarrier Recurring Charge (£)CurrencyDefault carrier recurring charge for features created from this template
connectionChargeCommissionProfileOne-Off Commission ProfilePreset ValueDefault commission profile for one-off charges
serviceChargeCommissionProfileRecurring Commission ProfilePreset ValueDefault commission profile for recurring charges
callChargeCommissionProfileCall Commission ProfilePreset ValueDefault commission profile for call/usage charges
connectionChargeCommissionOne-Off CommissionCurrencyDefault commission amount for one-off charges
connectionChargeCommissionTypeOne-Off Commission TypePreset ValueDefault commission calculation method for one-off charges
serviceChargeCommissionRecurring CommissionCurrencyDefault commission amount for recurring charges
serviceChargeCommissionTypeRecurring Commission TypePreset ValueDefault commission calculation method for recurring charges
connectionChargeCommission2One-Off Commission 2CurrencyDefault commission amount for one-off charges (secondary commission holder)
connectionChargeCommissionType2One-Off Commission Type 2Preset ValueDefault commission calculation method for one-off charges (secondary commission holder)
serviceChargeCommission2Recurring Commission 2CurrencyDefault commission amount for recurring charges (secondary commission holder)
serviceChargeCommissionType2Recurring Commission Type 2Preset ValueDefault commission calculation method for recurring charges (secondary commission holder)
renewalPeriodLengthRenewal Period LengthNumberDefault renewal period length for features created from this template
renewalPeriodLengthTypeRenewal Period Length TypePreset ValueDefault renewal period unit of time for features created from this template
minimumTermPeriodLengthMinimum Term LengthNumberDefault minimum term length for features created from this template
minimumTermPeriodLengthTypeMinimum Term Length TypePreset ValueDefault minimum term unit of time for features created from this template
committedTermPeriodLengthCommitted Term LengthTextDefault committed term length for features created from this template
committedTermPeriodLengthTypeCommitted Term Length TypePreset ValueDefault committed term unit of time for features created from this template
noticePeriodLengthNotice Period LengthNumberDefault notice period length for features created from this template
noticePeriodLengthTypeNotice Period Length TypePreset ValueDefault notice period unit of time for features created from this template
increaseOriginalIDOriginal Standard FeaturePreset ValueStandard feature this increase was based upon (self for in-place increases)
increasePercentIncrease %NumberIncrease percentage applied to this standard feature template
idStandard Feature IDTextThe unique identifier for this standard feature template

Still Didn’t Find Your Answer?

For assistance, please contact us below.

Submit a ticket